#!/usr/bin/env python

#Power-Manager 3.0.1 Copyright (c) 2016 JJ Posti <techtimejourney.net> 
#Power-Manager 3.0.1 comes with ABSOLUTELY NO WARRANTY; 
#for details see: http://www.gnu.org/copyleft/gpl.html. 
#This is free software, and you are welcome to redistribute it under 
#GPL Version 2, June 1991")


import os, subprocess,sys
from subprocess import Popen
from PyQt4 import QtCore, QtGui

try:
    _fromUtf8 = QtCore.QString.fromUtf8
except AttributeError:
    def _fromUtf8(s):
        return s

try:
    _encoding = QtGui.QApplication.UnicodeUTF8
    def _translate(context, text, disambig):
        return QtGui.QApplication.translate(context, text, disambig, _encoding)
except AttributeError:
    def _translate(context, text, disambig):
        return QtGui.QApplication.translate(context, text, disambig)

class Ui_PD3(object):

#Shutdown function
    def power(self,widget):
        subprocess.Popen(['gksudo', 'poweroff'])
#Reboot function
    def reboot(self,widget):
        subprocess.Popen(['gksudo', 'reboot'])
      
#Suspend function
    def suspend(self,widget):
        subprocess.Popen(['gksudo', 'pm-suspend'])
        
    def setupUi(self, PD3):
        PD3.setObjectName(_fromUtf8("PD3"))
        PD3.resize(626, 121)
        PD3.setMinimumSize(QtCore.QSize(626, 121))
        PD3.setMaximumSize(QtCore.QSize(626, 121))
        PD3.setStyleSheet(_fromUtf8("QDialog{\n"
"    background-color: #a29b9b;\n"
"    border-style: outset;\n"
"    border-color: #a29b9b;\n"
"    border-width: 2px;\n"
"    border-radius: 10px;\n"
"}"))
        PD3.setSizeGripEnabled(False)
        PD3.setModal(False)
        self.gridLayout = QtGui.QGridLayout(PD3)
        self.gridLayout.setObjectName(_fromUtf8("gridLayout"))
        self.horizontalLayout = QtGui.QHBoxLayout()
        self.horizontalLayout.setSpacing(22)
        self.horizontalLayout.setMargin(2)
        self.horizontalLayout.setObjectName(_fromUtf8("horizontalLayout"))
        self.shut = QtGui.QPushButton(PD3)
        self.shut.clicked.connect(self.power)

        font = QtGui.QFont()
        font.setFamily(_fromUtf8("Gentium Book Basic"))
        font.setPointSize(12)
        self.shut.setFont(font)
        self.shut.setMouseTracking(True)
        self.shut.setStyleSheet(_fromUtf8("QPushButton#shut\n"
" {\n"
"    background-color: #e1ddd7;\n"
"    border-style: outset;\n"
"    border-color: #d0d0d0;\n"
"    border-width: 2px;\n"
"    border-radius: 10px;\n"
"}"))
        self.shut.setObjectName(_fromUtf8("shut"))
        self.horizontalLayout.addWidget(self.shut)
        self.res = QtGui.QPushButton(PD3)
        self.res.clicked.connect(self.reboot)
        font = QtGui.QFont()
        font.setFamily(_fromUtf8("Gentium Book Basic"))
        font.setPointSize(12)
        self.res.setFont(font)
        self.res.setCursor(QtGui.QCursor(QtCore.Qt.ArrowCursor))
        self.res.setMouseTracking(True)
        self.res.setAutoFillBackground(False)
        self.res.setStyleSheet(_fromUtf8("QPushButton#res {\n"
"    background-color: #e1ddd7;\n"
"    border-style: outset;\n"
"    border-color: #d0d0d0;\n"
"    border-width: 2px;\n"
"    border-radius: 10px;\n"
"}"))
        self.res.setObjectName(_fromUtf8("res"))
        self.horizontalLayout.addWidget(self.res)
        self.sus = QtGui.QPushButton(PD3)
        self.sus.clicked.connect(self.suspend)

        font = QtGui.QFont()
        font.setFamily(_fromUtf8("Gentium Book Basic"))
        font.setPointSize(12)
        font.setItalic(False)
        self.sus.setFont(font)
        self.sus.setMouseTracking(True)
        self.sus.setStyleSheet(_fromUtf8("QPushButton#sus\n"
" {\n"
"    background-color: #e1ddd7;\n"
"    border-style: outset;\n"
"    border-color: #d0d0d0;\n"
"    border-width: 2px;\n"
"    border-radius: 10px;\n"
"}"))
        self.sus.setObjectName(_fromUtf8("sus"))
        self.horizontalLayout.addWidget(self.sus)
        self.gridLayout.addLayout(self.horizontalLayout, 0, 0, 1, 1)
        self.label = QtGui.QLabel(PD3)
        self.label.setStyleSheet(_fromUtf8("QLabel {\n"
"    background-color: #a29b9b;\n"
"    border-style: outset;\n"
"    border-color: #d0d0d0;\n"
"    border-width: 2px;\n"
"    border-radius: 10px;\n"
"}"))
        self.label.setObjectName(_fromUtf8("label"))
        self.gridLayout.addWidget(self.label, 1, 0, 1, 1)
        self.retranslateUi(PD3)
        QtCore.QMetaObject.connectSlotsByName(PD3)

    def retranslateUi(self, PD3):
        PD3.setWindowTitle(_translate("PD3", "Power Manager 3", None))
        self.shut.setToolTip(_translate("PD3", "Shutdown computer", None))
        self.shut.setText(_translate("PD3", "SHUTDOWN", None))
        self.res.setToolTip(_translate("PD3", "Reboot computer", None))
        self.res.setText(_translate("PD3", "REBOOT", None))
        self.sus.setToolTip(_translate("PD3", "<html><head/><body><p>Suspend computer</p></body></html>", None))
        self.sus.setText(_translate("PD3", "SUSPEND", None))
        self.label.setText(_translate("PD3", "Copyright (C) 2016 JJ Posti Released under GPL Version 2, June 1991 ABSOLUTELY NO WARRANTY. ", None))

if __name__ == "__main__":
    import sys
    app = QtGui.QApplication(sys.argv)
    PD3 = QtGui.QDialog()
    ui = Ui_PD3()
    ui.setupUi(PD3)
    PD3.show()
    sys.exit(app.exec_())
